Subject: Re: [PATCH 0/2] More git-send-email updates

From: Nicolas Vilz 'niv' <[email-masked]>
Date: Mon, 13 Feb 2006 16:58:16 +0100

Ryan Anderson wrote:
> To follow up on some conversations related to git-send-email this week, here are two updates:
> 
> The first adds a command line option to suppress adding the "From" address to
> the list of addresses to Cc, when it appears in a From: header line.  (Note
> that git-send-email never looked for From: lines inside the body of a message
> to use as a source for Cc: addresses, which, given the patch formats Linus has
> previously talked about, is probably a bug.)
> 
> The second patch adds the mythical "--cc" option.  I say "mythical" because it
> has never existed, but both Junio and I have mentioned it (or used it)
> recently, so we both *assumed* that it existed.  I think that's justification
> for adding it.
> 

it is a very nice idea to use git-send-email together with
git-format-patch --stdout, but i think, maybe i do something wrong... I
tried that cli-syntax Junio mentioned in "Whats in git.git"

git format-patch --stdout <branch_01>..<branch_02>|git send-email --to
<email_address>

and got a "Error: Please specify a file or a directory on the command
line.".

Besides, git asks me for a From-Header (which is fixed with this patch,
I suppose)

I use git 1.2.0 directly from your git-repository.

so actually git-send-email does not work with this syntax above.

If I first produce the patches, save them into another directory and
afterwards give git-send-email that directory for lunch, it works...

is there any other work-around for this everyday-task but a shellscript
which temporarily creates a patch-dir which contains the patches and
removes it after git-send-email is done with it?

Sincerly
Nicolas